import 'package:fis_ui/index.dart';
import 'package:fis_ui/values/font_sizes.dart';
import 'package:flutter/material.dart';

/// 输入的封装
class FFromInput extends FStatelessWidget {
  /// [sourceList] 数据源
  final List<FSelectModel> sourceList;

  /// [hintText] 选择提示文本
  final String hintText;

  /// [suffixIcon] 右侧图标组件
  final FWidget? suffixIcon;

  /// [onChanged] 选中变更事件
  final Function(String?)? onChanged;
  FFromInput({
    Key? key,
    required this.sourceList,
    required this.hintText,
    this.onChanged,
    this.suffixIcon,
  }) : super(key: key);

  @override
  FWidget build(BuildContext context) {
    return FBorderInput(
      hintSize: FFontSizes.BODY,
      contentSize: FFontSizes.BODY,
      hintText: hintText,
      maxLength: 20,
      borderColor: const Color.fromRGBO(234, 234, 234, 1),
      suffixIcon: suffixIcon,
      height: 38,
      onChanged: (value) => onChanged!(value),
    );
  }
}
