import 'package:fis_ui/index.dart';
import 'package:flutter/material.dart';

/// 选择框的封装
class FFromSelect extends FStatelessWidget {
  /// [sourceList] 数据源
  final List<FSelectModel> sourceList;

  /// [hintText] 选择提示文本
  final String hintText;

  /// [value] 已选值
  final String? value;

  /// [onSelectChanged] 选中变更事件
  final Function(String?, int?)? onSelectChanged;
  FFromSelect({
    Key? key,
    required this.sourceList,
    required this.hintText,
    this.value,
    this.onSelectChanged,
  }) : super(key: key);

  @override
  FWidget build(BuildContext context) {
    return FSelect<FSelectModel, String>(
      source: sourceList,
      hintText: hintText,
      value: value,
      clearable: true,
      height: 36,
      optionLabelExtractor: (data) => data.name,
      optionValueExtractor: (data) => data.code,
      onSelectChanged: (value, index) => onSelectChanged!(value, index),
    );
  }
}
