import 'package:fis_i18n/i18n.dart';
import 'package:fis_ui/index.dart';
import 'package:flutter/material.dart';

class FConfigureSelect extends FStatefulWidget {
  static const C_SELECT_HEIGHT = 38.0;

  final List<FSelectModel> source;
  final ValueCallback onChanged;
  final bool? readOnly;
  String? value;
  FConfigureSelect({
    required this.source,
    required this.onChanged,
    this.value,
    this.readOnly,
  });

  @override
  FState<FConfigureSelect> createState() => _FConfigureSelectState();
}

class _FConfigureSelectState extends FState<FConfigureSelect> {
  @override
  void initState() {
    super.initState();
  }

  @override
  FWidget build(BuildContext context) {
    final select = FSelect<FSelectModel, String>(
      source: widget.source,
      hintText: i18nBook.remedical.select.t,
      value: widget.value == '' ? null : widget.value,
      clearable: true,
      height: FConfigureSelect.C_SELECT_HEIGHT,
      optionLabelExtractor: (data) => data.name,
      optionValueExtractor: (data) => data.code,
      onSelectChanged: (value, index) {
        widget.onChanged(value);
      },
    );

    return FExpanded(child: select);
  }
}
