import 'package:fis_ui/index.dart';
import 'package:flutter/material.dart';

class FConfigureTextArea extends FStatefulWidget {
  final TextEditingController textEditingController;
  final ValueCallback onChanged;
  final bool? readOnly;
  final bool? enabled;

  FConfigureTextArea({
    Key? key,
    required this.textEditingController,
    required this.onChanged,
    this.readOnly,
    this.enabled,
  }) : super(key: key);

  @override
  FState<FConfigureTextArea> createState() => _FConfigureTextAreaState();
}

class _FConfigureTextAreaState extends FState<FConfigureTextArea> {
  @override
  FWidget build(BuildContext context) {
    return FExpanded(
      child: FContainer(
        margin: EdgeInsets.only(top: 5),
        child: FTextField(
          maxLines: 3,
          maxLength: 100,
          controller: widget.textEditingController,
          onChanged: (val) {
            widget.onChanged(val);
          },
          decoration: InputDecoration(
            hintStyle: const TextStyle(
              fontSize: 16,
            ),
            fillColor: widget.enabled == false
                ? Colors.grey[100]!
                : Colors.white.withOpacity(0.5),
            enabledBorder: const OutlineInputBorder(
              borderSide: BorderSide(
                color: Color.fromRGBO(230, 230, 230, 1),
                style: BorderStyle.solid,
              ),
            ),
            focusedBorder: const OutlineInputBorder(
              borderSide: BorderSide(
                width: 0.5,
                style: BorderStyle.solid,
              ),
            ),
            filled: true,
          ),
          readOnly: widget.readOnly ?? false,
          enabled: widget.enabled ?? false,
        ),
      ),
    );
  }
}
