import 'package:fis_ui/index.dart';
import 'package:flutter/material.dart';

class BusinessTooltip extends FStatelessWidget {
  final String tooltips;
  final FWidget child;
  const BusinessTooltip({
    Key? key,
    required this.tooltips,
    required this.child,
  }) : super(key: key);

  @override
  FWidget build(BuildContext context) {
    return FMaterialTooltip(
      message: tooltips,
      preferBelow: false,
      padding: const EdgeInsets.all(8),
      textStyle: const TextStyle(
        fontSize: 16,
        color: Colors.white,
      ),
      triggerMode: TooltipTriggerMode.manual, //  显示Tooltip
      verticalOffset: 30,
      child: child,
    );
  }
}
